%define 	_name 	areca

Name:		areca-backup
Version:	7.2.2
Release:	%mkrel 3
License:	GPLv2
Url:		http://www.areca-backup.org
Source:		%{_name}-%{version}-src.tar.gz
Group:		Archiving/Backup
Summary:	Java based backup utility

%ifarch x86_64
Patch0:		build-xml-x86_64.patch
%endif

BuildRequires:	ant
BuildRequires:	eclipse-swt
BuildRequires:	classpath-devel
#BuildRequires:	java-1.6.0-sun-devel
BuildRequires:	java-1.6.0-openjdk-devel
BuildRequires:	attr-devel
BuildRequires:	acl-devel
BuildRequires:	desktop-file-utils

#Requires:	java-1.6.0-sun
Requires:	java-1.6.0-openjdk
Requires:	gksu


%description
Areca Backup is a file backup tool written in java.
It supports data compression and encription, incremental backup,
file history explorer and many other features.
Areca Backup also includes a transaction mechanism which
guarantees your backups' integrity

%prep
%setup -c -q -n %{name}-%{version}
%ifarch x86_64
%patch0 -b .build-xml-x86_64
%endif

%build
%ant

%install
rm -fr %{buildroot}
install -D -d -m 755 %{buildroot}%{_datadir}/%{name}/
cp -R {bin,translations,lib,jsmooth,icons} %{buildroot}%{_datadir}/%{name}/

install -D -m 755 %{_name}.sh %{buildroot}%{_datadir}/%{name}/

install -D -d -m 755 %{buildroot}%{_iconsdir}
install -D -m 755 icons/ico_72.png %{buildroot}%{_iconsdir}/areca-backup.png

install -D -m 755 COPYING %{buildroot}%{_datadir}/%{name}/

install -D -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Areca Backup
Comment=%{summary}
Exec=%{_datadir}/%{name}/%{_name}.sh
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Utility;Archiving;
EOF

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

cat > %{buildroot}%{_datadir}/applications/%{name}-superuser.desktop <<EOF
[Desktop Entry]
Name=Areca Backup (Super User)
Comment=%{summary}
Exec=gksu %{_datadir}/%{name}/%{_name}.sh
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Utility;Archiving;
EOF

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-superuser.desktop


%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS COPYING help/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-superuser.desktop
%{_datadir}/%{name}/translations/*
%{_datadir}/%{name}/lib/*
%{_datadir}/%{name}/icons/*
%{_datadir}/%{name}/bin/*
%{_datadir}/%{name}/jsmooth/*
%{_datadir}/%{name}/%{_name}.sh
%{_datadir}/%{name}/COPYING
%{_iconsdir}/%{name}.png


%changelog

* Thu Jan 05 2012 matteo <matteo> 7.2.2-3.mga2
+ Revision: 191864
+ rebuild (emptylog)

* Tue Jan 03 2012 matteo <matteo> 7.2.2-2.mga2
+ Revision: 190195
- patch unzipped

* Fri Dec 16 2011 matteo <matteo> 7.2.2-1.mga2
+ Revision: 182693
- BR acl-devel added
- BR attr-devel added
- BR glibc-devel added
- BRs switched to openjdk
  Added license file to application directory (required by the gui)
- Added icon file
  Added a second desktop file to allow user launch areca as simple user (without gksu)
  Added license and authors files
- imported package areca-backup

